% =================================================================== %
% %                                                                 % %
% %                                                                 % %
% %                       -------------------                       % %
% %                        R U N S C R I P T                        % %
% %                       -------------------                       % %
% %                                                                 % %
% %                                                                 % %
% =================================================================== %
%% RUN SCRIPT

clc;
clear all;
cla reset; % reset current plot
format long;

% Determine where your m-file's folder is.
folder = fileparts(which('UNIframe.m'));
% Add that folder plus all subfolders to the path.
addpath(genpath(folder));

guiStruc = class_guiStructure;
guiStruc.createStructure();

% This sets define Callbacks. E.g. when user will type anything to edit box
% for edit_elSize, immediately GUI structure the guiStruc this recognize
% and call the function cllbck_edit_elSize. That follows filling the String
% propertie of an object edit_elSize
set(guiStruc.edit_inputFolder,      'Callback', {@cllbck_edit_inputFolder});
set(guiStruc.edit_elSize,           'Callback', {@cllbck_edit_elSize});
set(guiStruc.edit_dispScale,        'Callback', {@cllbck_edit_dispScale});

set(guiStruc.slider_xAxScale,       'Callback', {@cllbck_slider_xAxScale});
set(guiStruc.slider_yAxScale,       'Callback', {@cllbck_slider_yAxScale});
set(guiStruc.slider_zAxScale,       'Callback', {@cllbck_slider_zAxScale});

set(guiStruc.checkbox_uvwPlot,      'Callback', {@cllbck_checkbox_uvwPlot});
set(guiStruc.checkbox_nodesPlot,    'Callback', {@cllbck_checkbox_nodesPlot});
set(guiStruc.checkbox_nodesText,    'Callback', {@cllbck_checkbox_nodesText});
set(guiStruc.checkbox_eleText,      'Callback', {@cllbck_checkbox_eleText});

set(guiStruc.radioGroup,            'Callback', {@cllbck_radioGroup});

set(guiStruc.button_launch,         'Callback', {@cllbck_button_launch});

guidata(guiStruc.fig,guiStruc) % need to update my GUI structure (guiStruc)
% data = guidata(guiStruc.fig);

