function [] = fce_BCsPloting(handles)

vecObj_BCs          = handles.vecObj_BCs;
BCsColor            = handles.BCsColor;
longerAxis          = handles.longerAxisLength;
circleStep          = handles.circleStep;

vastness    = longerAxis/25;
rScale      = 1.2;
BCsScale    = 1;
LineWidth   = 3;

for i=1:size(vecObj_BCs,2)
    
    permit = vecObj_BCs(i).permit(1:9);
    
    if permit == [1; 0; 0; 0; 1; 1; 0; 0; 0]
        % nothing to do
    elseif permit == [0; 0; 0; 0; 0; 0; 0; 0; 0]
        
        plot3( [vecObj_BCs(i).node.x-(vastness/BCsScale)
                vecObj_BCs(i).node.x+(vastness/BCsScale)],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z-(vastness/BCsScale)
                vecObj_BCs(i).node.z+(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
        plot3( [vecObj_BCs(i).node.x+(vastness/BCsScale)
                vecObj_BCs(i).node.x-(vastness/BCsScale)],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z-(vastness/BCsScale)
                vecObj_BCs(i).node.z+(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
    elseif permit == [0; 0; 0; 0; 0; 1; 0; 0; 0]
        
        r = vastness/rScale                                  ;
        xCircle = r * cos(circleStep) + vecObj_BCs(i).node.x;
        zCircle = r * sin(circleStep) + vecObj_BCs(i).node.z;
        plot3(  xCircle,zeros(length(xCircle),1),zCircle    ,...
                'LineWidth',LineWidth                               ,...
                'Color',BCsColor                            );
        
    elseif permit == [1; 0; 0; 0; 0; 1; 0; 0; 0]
        
        plot3( [vecObj_BCs(i).node.x-(vastness/BCsScale)
                vecObj_BCs(i).node.x+(vastness/BCsScale)],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z+(vastness/BCsScale)
                vecObj_BCs(i).node.z+(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
        plot3( [vecObj_BCs(i).node.x+(vastness/BCsScale)
                vecObj_BCs(i).node.x-(vastness/BCsScale)],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z-(vastness/BCsScale)
                vecObj_BCs(i).node.z-(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
        r = vastness/rScale                                 ;
        xCircle = r * cos(circleStep) + vecObj_BCs(i).node.x;
        zCircle = r * sin(circleStep) + vecObj_BCs(i).node.z;
        plot3(  xCircle,zeros(length(xCircle),1),zCircle    ,...
                'LineWidth',LineWidth                               ,...
                'Color',BCsColor                            );
        
    elseif permit == [0; 0; 0; 0; 1; 1; 0; 0; 0]
        
        plot3(  [vecObj_BCs(i).node.x+(vastness/BCsScale)
                vecObj_BCs(i).node.x+(vastness/BCsScale)],...
                [0 0]                                   ,...
                [vecObj_BCs(i).node.z-(vastness/BCsScale)
                vecObj_BCs(i).node.z+(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
        plot3(  [vecObj_BCs(i).node.x-(vastness/BCsScale)
                vecObj_BCs(i).node.x-(vastness/BCsScale)],...
                [0 0]                                   ,...
                [vecObj_BCs(i).node.z+(vastness/BCsScale)
                vecObj_BCs(i).node.z-(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
        r = vastness/rScale                                  ;
        xCircle = r * cos(circleStep) + vecObj_BCs(i).node.x;
        zCircle = r * sin(circleStep) + vecObj_BCs(i).node.z;
        plot3(  xCircle,zeros(length(xCircle),1),zCircle    ,...
                'LineWidth',LineWidth                               ,...
                'Color',BCsColor                            );
        
    elseif permit == [1; 0; 0; 0; 1; 0; 0; 0; 0]
        
        plot3( [vecObj_BCs(i).node.x+(vastness/BCsScale)
                vecObj_BCs(i).node.x-(vastness/BCsScale)],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z+(vastness/(2*BCsScale))
                vecObj_BCs(i).node.z+(vastness/(2*BCsScale))],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
        plot3( [vecObj_BCs(i).node.x+(vastness/BCsScale)
                vecObj_BCs(i).node.x-(vastness/BCsScale)],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z-(vastness/(2*BCsScale))
                vecObj_BCs(i).node.z-(vastness/(2*BCsScale))],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
        plot3( [vecObj_BCs(i).node.x+(vastness/(2*BCsScale))
                vecObj_BCs(i).node.x+(vastness/(2*BCsScale))],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z+(vastness/BCsScale)
                vecObj_BCs(i).node.z-(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
        plot3( [vecObj_BCs(i).node.x-(vastness/(2*BCsScale))
                vecObj_BCs(i).node.x-(vastness/(2*BCsScale))],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z+(vastness/BCsScale)
                vecObj_BCs(i).node.z-(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
    elseif permit == [1; 0; 0; 0; 0; 0; 0; 0; 0]
        
        plot3( [vecObj_BCs(i).node.x-(vastness/BCsScale)
                vecObj_BCs(i).node.x+(vastness/BCsScale)],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z+(vastness/BCsScale)
                vecObj_BCs(i).node.z+(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
        plot3( [vecObj_BCs(i).node.x+(vastness/BCsScale)
                vecObj_BCs(i).node.x-(vastness/BCsScale)],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z-(vastness/BCsScale)
                vecObj_BCs(i).node.z-(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
    elseif permit == [0; 0; 0; 0; 1; 0; 0; 0; 0]
        
        plot3( [vecObj_BCs(i).node.x+(vastness/BCsScale)
                vecObj_BCs(i).node.x+(vastness/BCsScale)],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z-(vastness/BCsScale)
                vecObj_BCs(i).node.z+(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
        
        plot3( [vecObj_BCs(i).node.x-(vastness/BCsScale)
                vecObj_BCs(i).node.x-(vastness/BCsScale)],...
               [0 0]                                    ,...
               [vecObj_BCs(i).node.z+(vastness/BCsScale)
                vecObj_BCs(i).node.z-(vastness/BCsScale)],...
                'Color',BCsColor                        ,...
                'LineWidth',LineWidth                           );
    end
end
i = 0;
end