function [] = fce_dataPloting(handles)

vecObj_nodes        = handles.vecObj_nodes;
vecObj_elements     = handles.vecObj_elements;
vecObj_connections  = handles.vecObj_connections;
vecObj_forces       = handles.vecObj_forces;
vecObj_BCs          = handles.vecObj_BCs;

nodesColor          = handles.nodesColor;
elementsColor       = handles.elementsColor;
MquiverColor        = handles.MquiverColor;
FquiverColor        = handles.FquiverColor;
BCsColor            = handles.BCsColor;

nodesCheck          = handles.checkbox_nodesPlot.Value;
nodesTextCheck      = handles.checkbox_nodesText.Value;
elementsCheck       = handles.checkbox_eleText.Value;
resultsCheck        = handles.checkbox_uvwPlot.Value;

shorterAxisLength   = handles.shorterAxisLength;
onOffwarnConn       = handles.onOffwarnConn;
circleStep          = handles.circleStep;
qStart              = handles.qStart;
n                   = handles.n;
%% nodes 

cla reset; % reset current plot

for i=1:length(vecObj_nodes)

    % PURE JOINTS
    if i <= qStart/n
        
        plot3(  [vecObj_nodes(i).x],...
                zeros(length(vecObj_nodes(i)),1),...
                [vecObj_nodes(i).z],...
                'o',...
                'Color','k',...
                'MarkerSize',10,... % 10
                'MarkerFaceColor','r');
        
        text(   [vecObj_nodes(i).x]+(0.04*shorterAxisLength),...
                zeros(length(vecObj_nodes(i)),1),...
                [vecObj_nodes(i).z]-(0.04*shorterAxisLength),...
                num2str([vecObj_nodes(i).number].'),...
                'FontSize',30,... % 22
                'Color','r');
    % PURE NODES        
    else
        if nodesCheck == 1
            
            plot3(  [vecObj_nodes(i).x],...
                zeros(length(vecObj_nodes(i)),1),...
                [vecObj_nodes(i).z],...
                'o',...
                'Color','b',...
                'MarkerSize',8,... % 8
                'MarkerFaceColor',nodesColor);
            
            if nodesTextCheck == 1
                
                text(   [vecObj_nodes(i).x],...
                        zeros(length(vecObj_nodes(i)),1),...
                        [vecObj_nodes(i).z]-(0.04*shorterAxisLength),...
                        num2str([vecObj_nodes(i).number].'),...
                        'FontSize',25,... % 16
                        'Color',nodesColor);
            else
                % nothing to do
            end
        else
            % nothing to do
        end
    end
    hold on;
end
i = 0;

% plot deletes all properties of parent axis (but still belong to his
% parent) => the reason why is necessary to set axis properties again
box     on;
% grid    on;
% grid    minor;
axis    equal;

handles.Ax.FontSize = 20;
handles.Ax.XLabel.String    = 'Label - x';
handles.Ax.XLabel.Color     = [0.0588    0.5255    0.7882];
handles.Ax.YLabel.String    = 'Label - y';
handles.Ax.YLabel.Color     = [0.4039    0.7216    0.0941];
handles.Ax.ZLabel.String    = 'Label - z';
handles.Ax.ZLabel.Color     = [0.9216    0.1137    0.4196];
%% connections

Ajoints = [vecObj_connections.pointA];
Bjoints = [vecObj_connections.pointB];

plot3(  [Ajoints.x;Bjoints.x],...
        [0;0],...
        [Ajoints.z;Bjoints.z],...
        'k',...
        'LineWidth',1.5);
    
% text(   ([Ajoints.x] + [Bjoints.x])/2,... % connection marking
%         zeros(length(vecObj_connections),1),...
%         ([Ajoints.z] + [Bjoints.z])/2,...
%         num2str([vecObj_connections.number].'),...
%         'FontSize',25,...
%         'Color','k');    
%% elements 

if onOffwarnConn == 0
    
    if (elementsCheck == 1) && (nodesCheck == 1)
        
        nodeA = [vecObj_elements.nodeA];
        nodeB = [vecObj_elements.nodeB];
        
        text(   ([nodeA.x] + [nodeB.x])/2-(0.04*shorterAxisLength),...
                zeros(length(vecObj_elements),1),...
                ([nodeA.z] + [nodeB.z])/2,...
                num2str([vecObj_elements.number].'),...
                'FontSize',16,... % 16
                'Color',elementsColor);
    else
        % nothing to do
    end
else
    % nothing to do
end

fce_AxScale(handles);
%% forces

fce_ForcesPloting(handles);
%% BCs

fce_BCsPloting(handles);
%% reults

if resultsCheck == 1
    
    fce_uvwPloting(handles)
else
    % nothing to do 
end
%% views

otherRadios = floor(handles.otherRadios);
    
if  otherRadios == [0 2 3]
 
    view(0,90); % XY view
    
elseif otherRadios == [0 1 3]
    
    view(0,0); % XY view
    
elseif otherRadios == [0 1 2]
    
    view(90,0); % YZ view
else
    % XYZ view
end
end