function [  vecObj_nodes        ,...
            vecObj_forces       ,...
            vecObj_BCs          ,...
            vecObj_connections  ,...
            qStart              ,...
            guiStruc            ] = fce_dataLoading(folderID,n)

qStart = 0;

openJoints       = fopen(fullfile(folderID,[folderID, '.joints']),'r');
scanJoints       = fscanf(openJoints,'%g %g %g', [3 inf]);
% ---scanJoints structure (example)---
% Joints:   1   2   3   4
% x:        0   3   3   0
% y:        0   0   3   3
fclose(openJoints);

openConnections    = fopen(fullfile(folderID,[folderID, '.connections']),'r');
scanConnections    = fscanf(openConnections,'%g %g %g %g %g %g %g %g %g %g',[10 inf]);
% ---scanConnections structure (example)---
% Local point A of element: 1   2   3   4
% Local point B of element: 2   3   4   1
% ...
% ... !doplnit!
% ...
fclose(openConnections);

openForces      = fopen(fullfile(folderID,[folderID, '.forces']),'r');
scanForces      = fscanf(openForces,'%g %g %g %g',[4 inf]);
% ---scanForces structure (example)---
% Affected nodes by force F:    3   4   1   2
% Angle in XZ [deg] of force F: 90  45  -1  -1
% Angle in XY [deg] of force F: 30  0   20  -1
% Intension of force F:         100 500 150 300
fclose(openForces);

openBCs         = fopen(fullfile(folderID,[folderID, '.boundaries']),'r');
scanBCs         = fscanf(openBCs,'%g %g %g %g %g %g %g %g %g %g',[10 inf]);
% ---scanBCs structure (example)---
% Affected nodes by boundaries:             1   2   4
% Can(1) or can not(0) move in x-direction: 0   0   1
% Can(1) or can not(0) move in y-direction: 1   0   0
% Can(1) or can not(0) rotate around Z:     0   0   0
% ...
% ... !doplnit!
% ...
fclose(openBCs);

for i=1:size(scanJoints,2)
    
    vecObj_nodes(i) = class_node; % vecObj means vector of objects
    
    vecObj_nodes(i).number  = scanJoints(1,i);
    vecObj_nodes(i).x       = scanJoints(2,i);
    vecObj_nodes(i).z       = scanJoints(3,i);
    vecObj_nodes(i).q       = reshape(qStart+1:qStart+n,1,n);
    
    qStart = i*n;
end
i = 0;
for i=1:size(scanForces,2)
    
    vecObj_forces(i) = class_force;
    
    vecObj_forces(i).node       = vecObj_nodes(scanForces(1,i));
    vecObj_forces(i).angle      = scanForces([2:3],i);
    vecObj_forces(i).intensite  = scanForces(4,i);
end
i = 0;
for i=1:size(scanBCs,2)
    
    vecObj_BCs(i) = class_BC;
    
    vecObj_BCs(i).node      = vecObj_nodes(scanBCs(1,i));
    vecObj_BCs(i).permit    = scanBCs([2:10],i);
end
i = 0;
for i=1:size(scanConnections,2)
    
    vecObj_connections(i) = class_connect;
    
    vecObj_connections(i).pointA        = vecObj_nodes(scanConnections(1,i));
    vecObj_connections(i).pointB        = vecObj_nodes(scanConnections(2,i));
    vecObj_connections(i).materialID    = scanConnections([3 4],i);
    vecObj_connections(i).material      = scanConnections([5:10],i);
    vecObj_connections(i).rotation();
    vecObj_connections(i).transformation();
end
i = 0;
end