function [KeTilda] = fce_stiffMatrixLC(CurrConnect,lel,P,J,z22,z44,z24,z42,j,accurDev)
%% VERZE PRO COMPOTECH
if CurrConnect.materialID == [0;0]
    
    if CurrConnect.material(1) == 69 % char(69) = E
        
        E   = CurrConnect.material(2);
        mee = CurrConnect.material(3);
        G   = E/(2*(1+mee));
        
    elseif CurrConnect.material(1) == 71 % char(71) = G
        
        G   = CurrConnect.material(2);
        mee = CurrConnect.material(3);
        E   = G*(2*(1+mee));
    else
        disp('DEBUG MODE: you used wrong number for material letter in connection file (use 69 = E or 71 = G)')
    end
    
    Jz  = CurrConnect.material(4);
    Jy  = CurrConnect.material(5);
    A   = CurrConnect.material(6);
    
    EJz = E*Jz;
    EJy = E*Jy;
    GA  = G*A;
    EA  = E*A;
    GJz = G*Jz;
    GJy = G*Jy;  
else  
    
    EA  = CurrConnect.material(1);
    EJz = CurrConnect.material(2);
    EJy = CurrConnect.material(2);
    
%     LInDia  = CurrConnect.material(3); 
%     LWllTh  = CurrConnect.material(4);
%     RInDia  = CurrConnect.material(5);
%     RWllTh  = CurrConnect.material(6); 
%     
%     CurrInDia = LInDia - (LInDia-RInDia)*((j-1)/(accurDev-1));
%     
%     CurrWllTh = LWllTh - (LWllTh-RWllTh)*((j-1)/(accurDev-1));
%     
%     CurrOutDia = CurrInDia + (2*CurrWllTh);
%     
%     CurrJ = (pi*CurrOutDia^4)/64 - (pi*CurrInDia^4)/64;
%     
%     CurrA = (pi*CurrOutDia*CurrOutDia)/4 - (pi*CurrInDia*CurrInDia)/4;
    
    GJz = CurrConnect.material(3);
    GJy = CurrConnect.material(3);
    GA  = CurrConnect.material(4);
end

%% VERZE PRO DIPLOMKU

S1      = [ 1        0   0               0       ;...
            0        1   0               0       ;...
            1        lel lel^2           lel^3   ;...
            0        1   2*lel           3*lel^2];
        
S2      = [ 1        0   ;...
            1        lel];
        
II11_11 = [ 0        0   ;...
            0        lel];
        
II33_22 = [ 0        0   0               0        ;...
            0        0   0               0        ;...
            0        0   4*lel           6*lel^2  ;...
            0        0   6*lel^2         12*lel^3];
        
II31_21 = [ 0        0       ;...
            0        0       ;...
            0        2*lel   ;...
            0        3*lel^2];
        
II33_11 = [ 0        0       0           0         ;...
            0        lel     lel^2       lel^3     ;...
            0        lel^2   4/3*lel^3   3/2*lel^4 ;...
            0        lel^3   3/2*lel^4   9/5*lel^5];
        
II11_00 = [ lel      lel^2/2 ;...
            lel^2/2  lel^3/3];        

k11     = EJz*inv(S1).'*II33_22*inv(S1);
k12     = EJz*inv(S1).'*II31_21*inv(S2);
k13     = z44;
k14     = z42;
k15     = z42;
k16     = z44;

k21     = k12.';
k22     = EJz*inv(S2).'*II11_11*inv(S2) + GA*inv(S2).'*II11_00*inv(S2);
k23     = z24;
k24     = z22;
k25     = z22;
k26     = z24;

k31     = z44;
k32     = z42;
k33     = EJy*P*inv(S1).'*II33_22*inv(S1)*P;
k34     = -EJy*P*inv(S1).'*II31_21*inv(S2);
k35     = z42;
k36     = z44;

k41     = z24;
k42     = z22;
k43     = k34.';
k44     = EJy*inv(S2).'*II11_11*inv(S2) + GA*inv(S2).'*II11_00*inv(S2);
k45     = z22;
k46     = z24;

k51     = z24;
k52     = z22;
k53     = z24;
k54     = z22;
k55     = EA*inv(S2).'*II11_11*inv(S2);
k56     = z24;

k61     = z44;
k62     = z42;
k63     = z44;
k64     = z42;
k65     = z42;
k66     = GJy*inv(S1).'*II33_11*inv(S1) + GJz*inv(S1).'*II33_11*inv(S1);

J(1,2)  = 1;
J(2,3)  = 1;
J(3,11) = 1;
J(4,12) = 1;
J(5,4)  = 1;
J(6,13) = 1;
J(7,5)  = 1;
J(8,6)  = 1;
J(9,14) = 1;
J(10,15)= 1;
J(11,7) = 1;
J(12,16)= 1;
J(13,1) = 1;
J(14,10)= 1;
J(15,8) = 1;
J(16,9) = 1;
J(17,17)= 1;
J(18,18)= 1; 

Ketilda = [ k11 k12 k13 k14 k15 k16;...
            k21 k22 k23 k24 k25 k26;...
            k31 k32 k33 k34 k35 k36;...
            k41 k42 k43 k44 k45 k46;...
            k51 k52 k53 k54 k55 k56;...
            k61 k62 k63 k64 k65 k66];       

KeTilda = J.'*Ketilda*J;